[Nagiosplug-devel] [ nagiosplug-Bugs-3600122 ] Old version of gnulib assumes gets is defined

SourceForge.net noreply at sourceforge.net
Sun Aug 18 09:16:32 UTC 2013


Bugs item #3600122, was opened at 2013-01-09 09:38
Message generated for change (Comment added) made by hweiss
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397597&aid=3600122&group_id=29880

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: Compilation
Group: None
>Status: Closed
>Resolution: Fixed
Priority: 5
Private: No
Submitted By: racb ()
Assigned to: Holger Weiss (hweiss)
Summary: Old version of gnulib assumes gets is defined

Initial Comment:
The next release of Ubuntu will use eglibc 2.16, which drops the definition of gets (following ISO C11).

The embedded gnulib assumes that gets is defined, and thus causes a build failure in the current development release of Ubuntu.

Upstream gnulib has followed this change in http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=66712c23388e93e5c518ebc8515140fa0c807348

Workaround is to disable the warning in gl/stdio.in.h.

Please update gnulib to allow nagios-plugins to compile in environments where gets is not defined.

Ubuntu bug: https://launchpad.net/bugs/1097848

Thanks!

----------------------------------------------------------------------

>Comment By: Holger Weiss (hweiss)
Date: 2013-08-18 02:16

Message:
We've updated Gnulib in the current Git code.  Please test the snapshot to
check whether everything works fine now:

http://nagiosplug.sourceforge.net/snapshot/nagios-plugins-master.tar.gz

Thanks!

----------------------------------------------------------------------

Comment By: inaki_mtz (inakimtz)
Date: 2013-04-05 01:15

Message:
Same issue on OpenSuse 12.3 clean install when compiling nagios-plugins
1.4.16

./stdio.h:456:1: error: 'gets' undeclared here (not in a function)
make[5]: *** [localcharset.o] Error 1


----------------------------------------------------------------------

Comment By: Holger Weiss (hweiss)
Date: 2013-01-09 10:57

Message:
Yes, we're aware of that issue and will update Gnulib before the next
release.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397597&aid=3600122&group_id=29880




More information about the Nagiosplugin-devel mailing list